portal = context.getPortalObject()
portal_type = context.getDeliveryPortalType()
simulation_state = 'confirmed'

# use catalog to prefetch, but check later in ZODB
return [x.getObject() for x in portal.portal_catalog(
   portal_type=portal_type,
   ledger__uid=portal.portal_categories.ledger.automated.getUid(),
   # BEWARE: it works only in case of per-tree building
   destination_section__uid=movement_list[0].getDestinationSectionUid(),
   simulation_state=simulation_state) if x.getSimulationState() == simulation_state]
